// Code generated by mockery v2.52.2. DO NOT EDIT.

package tissue

import mock "github.com/stretchr/testify/mock"

// MockCluster is an autogenerated mock type for the Cluster type
type MockCluster struct {
	mock.Mock
}

type MockCluster_Expecter struct {
	mock *mock.Mock
}

func (_m *MockCluster) EXPECT() *MockCluster_Expecter {
	return &MockCluster_Expecter{mock: &_m.Mock}
}

// Name provides a mock function with no fields
func (_m *MockCluster) Name() string {
	ret := _m.Called()

	if len(ret) == 0 {
		panic("no return value specified for Name")
	}

	var r0 string
	if rf, ok := ret.Get(0).(func() string); ok {
		r0 = rf()
	} else {
		r0 = ret.Get(0).(string)
	}

	return r0
}

// MockCluster_Name_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'Name'
type MockCluster_Name_Call struct {
	*mock.Call
}

// Name is a helper method to define mock.On call
func (_e *MockCluster_Expecter) Name() *MockCluster_Name_Call {
	return &MockCluster_Name_Call{Call: _e.mock.On("Name")}
}

func (_c *MockCluster_Name_Call) Run(run func()) *MockCluster_Name_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run()
	})
	return _c
}

func (_c *MockCluster_Name_Call) Return(_a0 string) *MockCluster_Name_Call {
	_c.Call.Return(_a0)
	return _c
}

func (_c *MockCluster_Name_Call) RunAndReturn(run func() string) *MockCluster_Name_Call {
	_c.Call.Return(run)
	return _c
}

// PatchesPath provides a mock function with no fields
func (_m *MockCluster) PatchesPath() string {
	ret := _m.Called()

	if len(ret) == 0 {
		panic("no return value specified for PatchesPath")
	}

	var r0 string
	if rf, ok := ret.Get(0).(func() string); ok {
		r0 = rf()
	} else {
		r0 = ret.Get(0).(string)
	}

	return r0
}

// MockCluster_PatchesPath_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'PatchesPath'
type MockCluster_PatchesPath_Call struct {
	*mock.Call
}

// PatchesPath is a helper method to define mock.On call
func (_e *MockCluster_Expecter) PatchesPath() *MockCluster_PatchesPath_Call {
	return &MockCluster_PatchesPath_Call{Call: _e.mock.On("PatchesPath")}
}

func (_c *MockCluster_PatchesPath_Call) Run(run func()) *MockCluster_PatchesPath_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run()
	})
	return _c
}

func (_c *MockCluster_PatchesPath_Call) Return(_a0 string) *MockCluster_PatchesPath_Call {
	_c.Call.Return(_a0)
	return _c
}

func (_c *MockCluster_PatchesPath_Call) RunAndReturn(run func() string) *MockCluster_PatchesPath_Call {
	_c.Call.Return(run)
	return _c
}

// Ring provides a mock function with given fields: nr
func (_m *MockCluster) Ring(nr int) Ring {
	ret := _m.Called(nr)

	if len(ret) == 0 {
		panic("no return value specified for Ring")
	}

	var r0 Ring
	if rf, ok := ret.Get(0).(func(int) Ring); ok {
		r0 = rf(nr)
	} else {
		r0 = ret.Get(0).(Ring)
	}

	return r0
}

// MockCluster_Ring_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'Ring'
type MockCluster_Ring_Call struct {
	*mock.Call
}

// Ring is a helper method to define mock.On call
//   - nr int
func (_e *MockCluster_Expecter) Ring(nr interface{}) *MockCluster_Ring_Call {
	return &MockCluster_Ring_Call{Call: _e.mock.On("Ring", nr)}
}

func (_c *MockCluster_Ring_Call) Run(run func(nr int)) *MockCluster_Ring_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(int))
	})
	return _c
}

func (_c *MockCluster_Ring_Call) Return(_a0 Ring) *MockCluster_Ring_Call {
	_c.Call.Return(_a0)
	return _c
}

func (_c *MockCluster_Ring_Call) RunAndReturn(run func(int) Ring) *MockCluster_Ring_Call {
	_c.Call.Return(run)
	return _c
}

// RingsPath provides a mock function with no fields
func (_m *MockCluster) RingsPath() string {
	ret := _m.Called()

	if len(ret) == 0 {
		panic("no return value specified for RingsPath")
	}

	var r0 string
	if rf, ok := ret.Get(0).(func() string); ok {
		r0 = rf()
	} else {
		r0 = ret.Get(0).(string)
	}

	return r0
}

// MockCluster_RingsPath_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'RingsPath'
type MockCluster_RingsPath_Call struct {
	*mock.Call
}

// RingsPath is a helper method to define mock.On call
func (_e *MockCluster_Expecter) RingsPath() *MockCluster_RingsPath_Call {
	return &MockCluster_RingsPath_Call{Call: _e.mock.On("RingsPath")}
}

func (_c *MockCluster_RingsPath_Call) Run(run func()) *MockCluster_RingsPath_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run()
	})
	return _c
}

func (_c *MockCluster_RingsPath_Call) Return(_a0 string) *MockCluster_RingsPath_Call {
	_c.Call.Return(_a0)
	return _c
}

func (_c *MockCluster_RingsPath_Call) RunAndReturn(run func() string) *MockCluster_RingsPath_Call {
	_c.Call.Return(run)
	return _c
}

// NewMockCluster creates a new instance of MockCluster. It also registers a testing interface on the mock and a cleanup function to assert the mocks expectations.
// The first argument is typically a *testing.T value.
func NewMockCluster(t interface {
	mock.TestingT
	Cleanup(func())
}) *MockCluster {
	mock := &MockCluster{}
	mock.Mock.Test(t)

	t.Cleanup(func() { mock.AssertExpectations(t) })

	return mock
}
